Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.query
[Java] Class HibernateCriterionAdapter

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.query.HibernateCriterionAdapter

    public class HibernateCriterionAdapter
    extends java.lang.Object

Authors:
  Graeme Rocher

Since:
  2.0

Nested Class Summary
`static class` | `HibernateCriterionAdapter.CriterionAdaptor`

Constructor Summary
`HibernateCriterionAdapter(org.grails.datastore.mapping.model.PersistentEntity entity, org.grails.datastore.mapping.query.Query$Criterion criterion, java.lang.String alias)`
`HibernateCriterionAdapter(org.grails.datastore.mapping.query.Query$Criterion criterion)`

Method Summary
`org.hibernate.criterion.Criterion` | `toHibernateCriterion(HibernateQuery hibernateQuery)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### HibernateCriterionAdapter

    public HibernateCriterionAdapter(org.grails.datastore.mapping.model.PersistentEntity entity, org.grails.datastore.mapping.query.Query$Criterion criterion, java.lang.String alias)

### HibernateCriterionAdapter

    public HibernateCriterionAdapter(org.grails.datastore.mapping.query.Query$Criterion criterion)

Method Detail

### toHibernateCriterion

    public org.hibernate.criterion.Criterion toHibernateCriterion(HibernateQuery hibernateQuery)

Groovy Documentation